Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.exp
Class TernaryExpression

    java.lang.Object
      org.objectstyle.cayenne.exp.Expression
          org.objectstyle.cayenne.exp.TernaryExpression

All Implemented Interfaces:
  java.io.Serializable, XMLSerializable

Deprecated. since 1.2

    public class TernaryExpression

extends Expression

Generic ternary expression. Describes expression in a form: "`doSomething(operand1, operand2, operand3)`". SQL example of ternary expression is BETWEEN expression.

See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `operand0` Deprecated.
`protected java.lang.Object` | `operand1` Deprecated.
`protected java.lang.Object` | `operand2` Deprecated.

Fields inherited from class org.objectstyle.cayenne.exp.Expression
`ADD, ALL, AND, ANY, AVG, BETWEEN, COUNT, DB_PATH, DIVIDE, EQUAL_TO, EXISTS, GREATER_THAN, GREATER_THAN_EQUAL_TO, IN, LESS_THAN, LESS_THAN_EQUAL_TO, LIKE, LIKE_IGNORE_CASE, LIST, MAX, MIN, MULTIPLY, NEGATIVE, NOT, NOT_BETWEEN, NOT_EQUAL_TO, NOT_IN, NOT_LIKE, NOT_LIKE_IGNORE_CASE, OBJ_PATH, OR, POSITIVE, PRUNED_NODE, RAW_SQL, SOME, SUBQUERY, SUBTRACT, SUM, type`

Constructor Summary
`TernaryExpression()` Deprecated.
`TernaryExpression(int type)` Deprecated.

Method Summary
`void` | `encodeAsString(java.io.PrintWriter pw)` Deprecated. Stores a String representation of Expression using a provided PrintWriter.
`java.lang.Object` | `evaluate(java.lang.Object o)` Deprecated. Calculates expression value with object as a context for path expressions.
`protected void` | `flattenTree()` Deprecated. Restructures expression to make sure that there are no children of the same type as this expression.
`java.lang.Object` | `getOperand(int index)` Deprecated. Returns a value of operand at `index`.
`int` | `getOperandCount()` Deprecated. Returns a count of operands of this expression.
`Expression` | `notExp()` Deprecated. Returns a logical NOT of current expression.
`protected boolean` | `pruneNodeForPrunedChild(java.lang.Object prunedChild)` Deprecated. Returns true if this node should be pruned from expression tree in the event a child is removed.
`void` | `setOperand(int index, java.lang.Object value)` Deprecated. Sets a value of operand at `index`.
`Expression` | `shallowCopy()` Deprecated. Creates a copy of this expression node, without copying children.

Methods inherited from class org.objectstyle.cayenne.exp.Expression
`andExp, deepCopy, encodeAsXML, equals, expName, expWithParameters, expWithParameters, filter, filterObjects, fromString, getType, joinExp, match, orExp, setType, toString, transform, transformExpression, traverse, traverse`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### operand0

    protected java.lang.Object operand0

  Deprecated.

### operand1

    protected java.lang.Object operand1

  Deprecated.

### operand2

    protected java.lang.Object operand2

  Deprecated.

Constructor Detail

### TernaryExpression

    public TernaryExpression()

  Deprecated.

### TernaryExpression

    public TernaryExpression(int type)

  Deprecated.

Method Detail

### notExp

    public Expression notExp()

  Deprecated.
  Description copied from class: `Expression`
  Returns a logical NOT of current expression.

  Specified by:
    `notExp` in class `Expression`

### evaluate

    public java.lang.Object evaluate(java.lang.Object o)

  Deprecated.
  Description copied from class: `Expression`
  Calculates expression value with object as a context for path expressions.

  Specified by:
    `evaluate` in class `Expression`

### flattenTree

    protected void flattenTree()

  Deprecated.
  Description copied from class: `Expression`
  Restructures expression to make sure that there are no children of the same type as this expression.

  Specified by:
    `flattenTree` in class `Expression`

### pruneNodeForPrunedChild

    protected boolean pruneNodeForPrunedChild(java.lang.Object prunedChild)

  Deprecated.
  Description copied from class: `Expression`
  Returns true if this node should be pruned from expression tree in the event a child is removed.

  Specified by:
    `pruneNodeForPrunedChild` in class `Expression`

### getOperandCount

    public final int getOperandCount()

  Deprecated.
  Description copied from class: `Expression`
  Returns a count of operands of this expression. In real life there are unary (count == 1), binary (count == 2) and ternary (count == 3) expressions.

  Specified by:
    `getOperandCount` in class `Expression`

### shallowCopy

    public Expression shallowCopy()

  Deprecated.
  Creates a copy of this expression node, without copying children.

  Specified by:
    `shallowCopy` in class `Expression`
  Since:
    1.1

### getOperand

    public java.lang.Object getOperand(int index)

  Deprecated.
  Description copied from class: `Expression`
  Returns a value of operand at `index`. Operand indexing starts at 0.

  Specified by:
    `getOperand` in class `Expression`

### setOperand

    public void setOperand(int index,
                           java.lang.Object value)

  Deprecated.
  Description copied from class: `Expression`
  Sets a value of operand at `index`. Operand indexing starts at 0.

  Specified by:
    `setOperand` in class `Expression`

### encodeAsString

    public void encodeAsString(java.io.PrintWriter pw)

  Deprecated.
  Description copied from class: `Expression`
  Stores a String representation of Expression using a provided PrintWriter.

  Specified by:
    `encodeAsString` in class `Expression`
  Since:
    1.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.